Jump to ID:
Community

Project Home

Tracker

Documents

Discussions

Wiki

Project Info
Forum Topic - qcc for QNX v6.5.0 vs qcc for v6.3.2 v: qcc doesn't accept -std=C99 option: (5 Items)
   
 
 
qcc for QNX v6.5.0 vs qcc for v6.3.2 v: qcc doesn't accept -std=C99 option  
I have to study a software that compiles under v6.3.2 with no errors.

The problem is that when try to compile it under v6.5.0 several compiler errors occur, for example: 'comma at end of 
enumerator list'.

In other forums I see that the upwritten error can be avoided with the compiler option '-std=c99', but when I try to use
 it the qcc give me the following error:
cc: unknown option: '-std=c99'

I tried also to compile using the command line outside Momentics, but the error is the same so this error is not related
 to the makefile.

Can you help me?
Re: qcc for QNX v6.5.0 vs qcc for v6.3.2 v: qcc doesn't accept -std=C99 option  
Try with -Wc,-std=c99

---
Aleksandar


On 11-09-07 04:20 AM, Paolo Lomotti wrote:
> I have to study a software that compiles under v6.3.2 with no errors.
>
> The problem is that when try to compile it under v6.5.0 several compiler errors occur, for example: 'comma at end of 
enumerator list'.
>
> In other forums I see that the upwritten error can be avoided with the compiler option '-std=c99', but when I try to 
use it the qcc give me the following error:
> cc: unknown option: '-std=c99'
>
> I tried also to compile using the command line outside Momentics, but the error is the same so this error is not 
related to the makefile.
>
> Can you help me?
>
>
>
> _______________________________________________
>
> QNX Momentics Community Support
> http://community.qnx.com/sf/go/post88676
>
Re: qcc for QNX v6.5.0 vs qcc for v6.3.2 v: qcc doesn't accept -std=C99 option  
Also typing
qcc.exe -Wc -std=c99

the same error message appears:
cc: unknown option: '-std=c99'


> Try with -Wc,-std=c99
> 
> ---
> Aleksandar
> 
> 
> On 11-09-07 04:20 AM, Paolo Lomotti wrote:
> > I have to study a software that compiles under v6.3.2 with no errors.
> >
> > The problem is that when try to compile it under v6.5.0 several compiler 
> errors occur, for example: 'comma at end of enumerator list'.
> >
> > In other forums I see that the upwritten error can be avoided with the 
> compiler option '-std=c99', but when I try to use it the qcc give me the 
> following error:
> > cc: unknown option: '-std=c99'
> >
> > I tried also to compile using the command line outside Momentics, but the 
> error is the same so this error is not related to the makefile.
> >
> > Can you help me?
> >
> >
> >
> > _______________________________________________
> >
> > QNX Momentics Community Support
> > http://community.qnx.com/sf/go/post88676
> >


Re: qcc for QNX v6.5.0 vs qcc for v6.3.2 v: qcc doesn't accept -std=C99 option  
Aleks suggested -Wc,-std=c99 and you took out the comma and replaced it with a space.

Regards,

Ryan Mansfield
Re: qcc for QNX v6.5.0 vs qcc for v6.3.2 v: qcc doesn't accept -std=C99 option  
> Aleks suggested -Wc,-std=c99 and you took out the comma and replaced it with a
>  space.
> 
> Regards,
> 
> Ryan Mansfield


Oh ... my mistake!
With the comma it works.

Thank you all!